> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# CAD Integration Events

> Implement a handler for this webhook to get information about CAD Integration events (e.g., Note Created, Case Closed, etc.).



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs post /webhookhandler/cad
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /webhookhandler/cad:
    post:
      tags:
        - Webhook Handlers
      summary: CAD Integration Events
      description: >-
        Implement a handler for this webhook to get information about CAD
        Integration events (e.g., Note Created, Case Closed, etc.).
      operationId: cadWebhook
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IncidentNotePayload'
      responses:
        '200':
          description: Indicates the callback was recieved successfully
        default:
          description: >-
            All other response codes will trigger a retry up to the maximum
            number of retries.
components:
  schemas:
    IncidentNotePayload:
      type: object
      description: Payload sent when an incident note is created.
      properties:
        callId:
          type: string
          description: Unique Assist Call ID.
        incidentId:
          type: string
          description: Unique CAD Incident ID.
        note:
          $ref: '#/components/schemas/IncidentNote'
          description: Note that was generated by the system during an active Call.
    IncidentNote:
      type: object
      description: Represents a note that may be entered into the CAD.
      properties:
        noteId:
          type: string
          description: >-
            Unique ID of the note assigned by Assist. If stored by the CAD, this
            can allow for existing notes to be updated.
        type:
          type: string
          description: Note type.
          enum:
            - CALL_COMPLETED
            - INFO
        note:
          type: string
          description: Note to be entered into the CAD.
        critical:
          type: boolean
          description: If true, indicates the note is considered critical
        createdAt:
          type: string
          description: >-
            Date and time formatted as an ISO8601 string, e.g.
            'yyyy-MM-ddTHH:mm:ssZ'

````